# All files / src/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes ControlFlowStorageCallNode.ts

100% Statements 20/20
100% Branches 0/0
100% Functions 1/1
100% Lines 17/17

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    62
    63
    64
    65
    66
    67
    68
    69
    70
    71
    72
    73
    74
    75
    76
    77
    78
    791x
    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

    1x

    483x

    483x
    483x
    483x
    483x

    485x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../../container/ServiceIdentifiers';

    import * as format from 'string-template';

    import { IOptions } from '../../../interfaces/options/IOptions';

    import { initializable } from '../../../decorators/Initializable';

    import { ControlFlowStorageCallTemplate } from '../../../templates/custom-nodes/control-flow-replacers-nodes/binary-expression-control-flow-replacer-nodes/ControlFlowStorageCallTemplate';

    import { AbstractCustomNode } from '../../AbstractCustomNode';

    @injectable()
    export class ControlFlowStorageCallNode extends AbstractCustomNode {
        /**
         * @type {string}
         */
        @initializable()
        private controlFlowStorageKey: string;

        /**
         * @type {string}
         */
        @initializable()
        private controlFlowStorageName: string;

        /**
         * @type {string}
         */
        @initializable()
        private leftValue: string;

        /**
         * @type {string}
         */
        @initializable()
        private rightValue: string;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            super(options);
        }

        /**
         * @param controlFlowStorageName
         * @param controlFlowStorageKey
         * @param leftValue
         * @param rightValue
         */
        public initialize (
            controlFlowStorageName: string,
            controlFlowStorageKey: string,
            leftValue: string,
            rightValue: string,
        ): void {
            this.controlFlowStorageName = controlFlowStorageName;
            this.controlFlowStorageKey = controlFlowStorageKey;
            this.leftValue = leftValue;
            this.rightValue = rightValue;
        }

        /**
         * @returns {string}
         */
        protected getTemplate (): string {
            return format(ControlFlowStorageCallTemplate(), {
                controlFlowStorageKey: this.controlFlowStorageKey,
                controlFlowStorageName: this.controlFlowStorageName,
                leftValue: this.leftValue,
                rightValue: this.rightValue
            });
        }
    }